<!-- main app container -->
<div class="card m-3">
    <h5 class="card-header">Angular 8 Reactive Form Validation</h5>
    <div class="card-body">
        <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
            
           
            <div class="form-group col-4">
                <label>Fecha</label>
                <input type="text"
             placeholder="dd/mm/yyyy"
             class="form-control" 
             bsDatepicker [(bsValue)]="date" [maxDate]="date">
              
            </div>
            

            <div class="form-group col-6">
                <label>documento</label>
                <div class="d-inline-flex">
                <select (change)="documento($event.target.value)" class="form-control col-3" >
                    <option selected disabled value="">--seleccione--</option>
                    <option value="0">DNI</option>
                    <option value="1">CE</option>
                    <option value="2">PASS</option>
                </select>
                <input type="text" formControlName="documento" class="form-control ml-1" [ngClass]="{ 'is-invalid': submitted && f.documento.errors }" />
            </div>
                <div *ngIf="submitted && f.documento.errors" class="invalid-feedback">
                    <div *ngIf="f.documento.errors.required">documento es necesaria</div>
                    <div *ngIf="f.documento.errors.pattern">documento solo permite numeros</div>
                    <div *ngIf="f.documento.errors.min">escriba un documento valido</div>
                </div>
            </div>

            <div class="form-group col-10">
                <label>telefono</label><br>

                <div class="d-inline-flex">
                <select (change)="telefono($event.target.value)" class="form-control col-4" >
                    <option selected disabled value="">--seleccione--</option>
                    <option value="0">Fijo</option>
                    <option value="1">Celular</option>
                    <option value="2">Internacional</option>
                </select>
                
                <input type="text" value="{{prefTelefono}}" formControlName="telefono" class="form-control col-6 ml-1" [ngClass]="{ 'is-invalid': submitted && f.telefono.errors }" />
            </div>

                <div *ngIf="submitted && f.telefono.errors" class="invalid-feedback">
                    <div *ngIf="f.telefono.errors.required">telefono is required</div>
                    <div *ngIf="f.telefono.errors.pattern">telefono solo permite numeros</div>
                    <div *ngIf="f.telefono.errors.min">escriba un documento valido</div>
                </div>
            </div>
           
           
            <div class="text-center">
                <button class="btn btn-primary mr-1">Register</button>
                <button class="btn btn-secondary" type="reset" (click)="onReset()">Cancel</button>
            </div>
        </form>
    </div>
</div>


